Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Types | Public Member Functions | List of all members
InterpolationMatrixManipulatorT< Scalar > Class Template Referenceabstract

Knows how to apply the values generated by an interpolator to a matrix. When playing back an InterpolationAnimation, an InterpolationT interpolates between two points. This can be done linearly or via a bezier curve or whatever. The values coming out of this interpolation are just a vector of numbers that now have to be applied to a transformation in the pose. How this has to be done depends on the type of animation. For example, the interpolator might interpolate between two angles (i.e. output a single number). This would have to be applied to the matrix using a rotation function. The same is imaginable with a translation (3 values) and so on. More...

`#include <ObjectTypes/Skeleton/Animation/InterpolationMatrixManipulatorT.hh>`

## Public Types
typedef ACG::GLMatrixT< Scalar > | GLMatrixT

## Public Member Functions
virtual void | doManipulation (GLMatrixT &_matrix, std::vector< Scalar > _value)=0

## Detailed Description

### template<typename Scalar>
class InterpolationMatrixManipulatorT< Scalar >

Knows how to apply the values generated by an interpolator to a matrix. When playing back an InterpolationAnimation, an InterpolationT interpolates between two points. This can be done linearly or via a bezier curve or whatever. The values coming out of this interpolation are just a vector of numbers that now have to be applied to a transformation in the pose. How this has to be done depends on the type of animation. For example, the interpolator might interpolate between two angles (i.e. output a single number). This would have to be applied to the matrix using a rotation function. The same is imaginable with a translation (3 values) and so on.

Definition at line 65 of file InterpolationMatrixManipulatorT.hh.

## Member Function Documentation

template<typename Scalar >

virtual void InterpolationMatrixManipulatorT< Scalar >::doManipulation | ( | GLMatrixT & | _matrix,
|  | std::vector< Scalar > | _value
| ) |  |
| pure virtual

This applies the given values to the given matrix in the fashion that is suitable.

The documentation for this class was generated from the following file:

- ObjectTypes/Skeleton/Animation/InterpolationMatrixManipulatorT.hh